classification
Title: *HTTPServer need a summary page with API inheritance table
Type: Stage: resolved
Components: Documentation Versions: Python 3.1, Python 3.2, Python 2.7
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, ezio.melotti, georg.brandl, giampaolo.rodola, techtonik, zach.ware
Priority: normal Keywords:

Created on 2010-06-08 13:23 by techtonik, last changed 2020-04-27 04:46 by zach.ware. This issue is now closed.

Messages (6)
msg107321 - (view) Author: anatoly techtonik (techtonik) Date: 2010-06-08 13:23
The abundance of methods and hierarchy depth of various servers from "Internet Protocols and Support" section makes it extremely hard to navigate information. You need a strong OOP background to be able to use this doc effectively, as examples are not intuitive otherwise.

Usually you need a decent IDE (such as Eclipse) to get a picture of class hierarchy and a table of all available methods with a mark where they were inherited from.

Such table (at least Class Hierarchy view screenshot from Eclipse) should be available in reference for descendant classes.
msg107725 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2010-06-13 08:13
Can you provide a patch?
msg107851 - (view) Author: anatoly techtonik (techtonik) Date: 2010-06-15 08:14
No.
msg107859 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-06-15 09:39
May I ask why?
msg107867 - (view) Author: anatoly techtonik (techtonik) Date: 2010-06-15 12:50
1. No time
2. Looks complicated
msg367393 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2020-04-27 04:46
Lacking a clearer description of exactly what should be changed and with an official warning in the docs against using the http.server module in production, I'm going to go ahead and close the issue (which happened to be the last issue with "languishing" status).
History
Date User Action Args
2020-04-27 04:46:47zach.waresetstatus: languishing -> closed

nosy: + zach.ware
messages: + msg367393

resolution: rejected
stage: needs patch -> resolved
2010-06-15 12:53:22r.david.murraysetstatus: open -> languishing
2010-06-15 12:50:56techtoniksetmessages: + msg107867
2010-06-15 12:27:18giampaolo.rodolasetnosy: + giampaolo.rodola
2010-06-15 09:39:39georg.brandlsetnosy: + georg.brandl
messages: + msg107859
2010-06-15 08:14:54techtoniksetmessages: + msg107851
2010-06-13 08:13:01ezio.melottisetnosy: + ezio.melotti

messages: + msg107725
stage: needs patch
2010-06-08 13:23:14techtonikcreate